Name:		eric4
Version:	4.5.6
Release:	%mkrel 3
Summary:	A Python IDE
Group:		Development/Python
License:	GPLv3+
URL:		http://eric-ide.python-projects.org/

Source0:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-%{version}.tar.gz
Source1:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-de-%{version}.tar.gz
Source2:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-fr-%{version}.tar.gz
Source3:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-it-%{version}.tar.gz
Source4:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-ru-%{version}.tar.gz
Source5:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-cs-%{version}.tar.gz
Source6:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-es-%{version}.tar.gz
Source7:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-tr-%{version}.tar.gz
Source8:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-zh_CN.GB2312-%{version}.tar.gz

%py_requires -d
BuildRequires:	python-sip
BuildRequires:	python-qt4
BuildRequires:	python-qt4-qscintilla
BuildRequires:	python-qt4-help
BuildRequires:	qscintilla-qt4-devel 
BuildRequires:	imagemagick

Requires:	python-qt4
Requires:	python-qt4-qscintilla
Requires:	python-svn
Requires:	python-qt4-help


%description
Eric is a full featured Python and Ruby editor and IDE, written in python.
It is based on the cross platform Qt gui toolkit, integrating the highly flexible Scintilla editor control.
It is designed to be usable as everdays' quick and dirty editor as well
as being usable as a professional project management tool integrating many
advanced features Python offers the professional coder.

%prep
%setup -q -n %{name}-%{version}
%setup -q -n %{name}-%{version} -D -T -b 1
%setup -q -n %{name}-%{version} -D -T -b 2
%setup -q -n %{name}-%{version} -D -T -b 3
%setup -q -n %{name}-%{version} -D -T -b 4
%setup -q -n %{name}-%{version} -D -T -b 5
%setup -q -n %{name}-%{version} -D -T -b 6
%setup -q -n %{name}-%{version} -D -T -b 7
%setup -q -n %{name}-%{version} -D -T -b 8

%install
python install.py -i %{buildroot} -b %{_bindir} -d %{py_puresitedir} \
		  -a %{qt4dir}/qsci/api

mkdir -p %{buildroot}%{py_puresitedir}/%{name}
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
mkdir -p %{buildroot}%{_datadir}/applications

convert -scale 48 eric/icons/default/eric.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 eric/icons/default/eric.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 eric/icons/default/eric.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Eric4
Comment=%{summary}
Exec=eric4
Icon=%{name}
Categories=Development;IDE;
Terminal=false
Type=Application
EOF

%files
%doc README THANKS LICENSE.GPL3
%{_bindir}/*
%{qt4dir}/qsci/api
%{py_puresitedir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 4.5.6-3.mga3
+ Revision: 349709
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 04 2012 fwang <fwang> 4.5.6-2.mga3
+ Revision: 287905
- this package is not a noarch package, due to qt4dir is arch-dependent

* Tue Sep 04 2012 fwang <fwang> 4.5.6-1.mga3
+ Revision: 287824
- new version 4.5.6

* Sun Feb 26 2012 matteo <matteo> 4.5.0-3.mga2
+ Revision: 215118
- rebuilt against new python-sip

* Sun Feb 19 2012 matteo <matteo> 4.5.0-2.mga2
+ Revision: 210619
- rebuilt against new python-qt4 4.9

* Sat Feb 11 2012 matteo <matteo> 4.5.0-1.mga2
+ Revision: 207497
- fixed license
- imported package eric4

